using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.StoragesContracts;

public interface IReservationStorage
{
    List<ReservationViewModel> GetFullList();
    List<ReservationViewModel> GetFilteredList(ReservationSearchModel model);
    ReservationViewModel? GetElement(ReservationSearchModel model);
    ReservationViewModel? Insert(ReservationBindingModel model);
    ReservationViewModel? Update(ReservationBindingModel model);
    ReservationViewModel? Delete(ReservationBindingModel model);
}